Feature #2430

Try switch bindings to swig v4.0.1

Added by pospelov 7 months ago. Updated 6 months ago.

Status:ResolvedStart date:06 Apr 2020
Priority:NormalDue date:
Assignee:rbeerwerth% Done:

0%

Category:-
Target version:Sprint 43

Description

Reasoning:
Swig 3.0.12 produces the code which generates lots of warnings under modern compilers.
Since one of the declared goals of the Swig 4.0 branch is the support for C++-11, there is a hope that there will be fewer warnings.

History

#1 Updated by pospelov 7 months ago

  • Status changed from New to Sprint
  • Target version set to Sprint 43

#2 Updated by rbeerwerth 6 months ago

  • Assignee set to rbeerwerth

#3 Updated by rbeerwerth 6 months ago

  • Status changed from Sprint to Resolved

Also available in: Atom PDF